> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload funder policy file for parsing

> Upload a spreadsheet (XLS, XLSX, CSV) or PDF containing funder policies.
The file will be parsed asynchronously and policies will be upserted for the current user.
Only one upload job can be active at a time per user.




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/broker_funder_policies/upload/
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/broker_funder_policies/upload/:
    post:
      summary: Upload funder policy file for parsing
      description: >
        Upload a spreadsheet (XLS, XLSX, CSV) or PDF containing funder policies.

        The file will be parsed asynchronously and policies will be upserted for
        the current user.

        Only one upload job can be active at a time per user.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BrokerFunderPolicyUploadSchema'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrokerFunderPolicyUploadJobSchema'
          description: Upload job created successfully
        '400':
          description: Invalid file or another job is already in progress
        '409':
          description: Another upload job is already active
      security:
        - ApiKeyAuth: []
components:
  schemas:
    BrokerFunderPolicyUploadSchema:
      additionalProperties: false
      properties:
        file_base64:
          description: Base64 encoded file bytes
          type: string
        filename:
          description: Name of file
          type: string
      required:
        - file_base64
        - filename
      type: object
    BrokerFunderPolicyUploadJobSchema:
      additionalProperties: false
      properties:
        created:
          format: date-time
          readOnly: true
          type: string
        error_count:
          readOnly: true
          type: integer
        error_details:
          additionalProperties: {}
          nullable: true
          readOnly: true
          type: object
        error_message:
          nullable: true
          readOnly: true
          type: string
        filename:
          nullable: true
          readOnly: true
          type: string
        finished_at:
          format: date-time
          nullable: true
          readOnly: true
          type: string
        heron_id:
          readOnly: true
          type: string
        last_updated:
          format: date-time
          readOnly: true
          type: string
        processed_count:
          readOnly: true
          type: integer
        results_summary:
          additionalProperties: {}
          nullable: true
          readOnly: true
          type: object
        started_at:
          format: date-time
          nullable: true
          readOnly: true
          type: string
        status:
          enum:
            - queued
            - processing
            - completed
            - failed
          readOnly: true
        success_count:
          readOnly: true
          type: integer
        total_count:
          nullable: true
          readOnly: true
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````